//
//  CMRThreadAttributes+KMAddition.m
//  BathyScaphe
//
//  Created by 堀 昌樹 on 12/04/18.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "CMRThreadAttributes+KMAddition.h"

@implementation NSDictionary (CMRThreadAttributes_KMAddition)

BOOL check = NO;
void checkIsNil(id obj)
{
	if(check && !obj) {
		NSLog(@"instance is not like CMRThreadAttributes.");
	}
}
- (NSString *)path
{
	NSString *path = [CMRThreadAttributes pathFromDictionary:self];
	checkIsNil(path);
	return path;
}
- (NSString *)threadTitle;
{
	NSString *threadTitle = [CMRThreadAttributes threadTitleFromDictionary:self];
	checkIsNil(threadTitle);
	return threadTitle;
}
@end
